Subject: Re: [PATCH] powerpc: consolidate mpc83xx platform files

From: Scott Wood <[email-masked]>
Date: Tue, 12 Dec 2006 16:40:33 -0600

Kumar Gala wrote:
> What's the issue with a file per board if all it has is the ppc_md/ 
> define_machine() in it.  Someone explain to me why this is a bad thing?

It requires that the kernel be changed even when a new board doesn't 
require that the kernel actually *do* anything differently.  It's 
gratuitous duplication, even if the bit being duplicated is small.

Why is a single ppc_md, which no board is forced to use, but can be used 
by any board without special requirements, a bad thing?

-Scott